# Uses of Class
gnu.jel.Library

Packages that use Library
Package
Description
gnu.jel

## Uses of Library in gnu.jel

Methods in gnu.jel with parameters of type Library
Modifier and Type
Method
Description
`static CompiledExpression`
Evaluator.`compile(String expression, Library lib)`
Compiles expression, resolving the function names in the library.
`static CompiledExpression`
Evaluator.`compile(String expression, Library lib, Class<?> resultType)`
Compiles expression, resolving the function names in the library.
`static byte[]`
Evaluator.`compileBits(String expression, Library lib)`
Compiles expression, resolving the function names in the library.
`static byte[]`
Evaluator.`compileBits(String expression, Library lib, Class<?> resultType)`
Compiles expression, resolving the function names in the library.
Constructors in gnu.jel with parameters of type Library
Modifier
Constructor
Description
``
`Parser(String in, Library lib)`
Initializes the parser.